INTERFACE
SUBROUTINE CARNAK(KLNKH2B,POBHDR,KOBODY,POBODY,KOB1,KOB2,KOB3,KINDSIZ,&
 & KPRE,KTYP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIMO , ONLY : NOBTOT
USE QAPAVU , ONLY : JPNVX ,JPPXZ ,JPPXT ,JPPXU ,&
 & JPPXV ,JPPXDZ ,JPPXHU ,JPPXST ,JPPXSN ,&
 & JPPXT2 ,JPPXH2 ,JPPXU1 ,JPPXV1 ,JPPXQ 
INTEGER(KIND=JPIM),INTENT(IN) :: KOB1
INTEGER(KIND=JPIM),INTENT(IN) :: KOB2
INTEGER(KIND=JPIM),INTENT(IN) :: KOB3
INTEGER(KIND=JPIM),INTENT(IN) :: KINDSIZ(3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLNKH2B(KINDSIZ(3))
REAL(KIND=JPRB) ,INTENT(IN) :: POBHDR(KINDSIZ(1),KOB1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOBODY(KINDSIZ(2),KOB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POBODY(KINDSIZ(2),KOB3)
INTEGER(KIND=JPIM) :: KPRE
INTEGER(KIND=JPIM),INTENT(IN) :: KTYP(NOBTOT)
END SUBROUTINE CARNAK
END INTERFACE
